"use strict";

var _tap = require("tap");

var _index = require("../index");

/* eslint-disable flowtype/require-parameter-type, flowtype/require-return-type */
(0, _tap.test)(function (_ref) {
  var same = _ref.same,
      end = _ref.end;

  same((0, _index.mergeDeep)({ alpha: "1" }, { beta: "2" }), {
    alpha: "1",
    beta: "2"
  });

  end();
});

(0, _tap.test)(function (_ref2) {
  var same = _ref2.same,
      end = _ref2.end;

  same((0, _index.mergeDeep)({ alpha: { alpha: "1" } }, { alpha: { beta: "2" } }), {
    alpha: {
      alpha: "1",
      beta: "2"
    }
  });

  end();
});

(0, _tap.test)(function (_ref3) {
  var same = _ref3.same,
      end = _ref3.end;

  same((0, _index.mergeDeep)({ alpha: { alpha: "1" } }, { beta: { beta: "2" } }), {
    alpha: { alpha: "1" },
    beta: { beta: "2" }
  });

  end();
});

(0, _tap.test)(function (_ref4) {
  var same = _ref4.same,
      end = _ref4.end;

  same((0, _index.mergeDeep)({ alpha: { alpha: "1" } }, { alpha: { alpha: "2" } }), { alpha: { alpha: "2" } });

  end();
});

(0, _tap.test)(function (_ref5) {
  var same = _ref5.same,
      end = _ref5.end;

  same((0, _index.mergeDeep)(["a"], ["b"]), ["a", "b"]);

  end();
});

(0, _tap.test)(function (_ref6) {
  var same = _ref6.same,
      end = _ref6.end;

  same((0, _index.mergeDeep)(["a"], ["a"]), ["a", "a"]);

  end();
});

(0, _tap.test)(function (_ref7) {
  var same = _ref7.same,
      end = _ref7.end;

  same((0, _index.mergeDeep)({ alpha: ["a"] }, { alpha: ["a"] }), {
    alpha: ["a", "a"]
  });

  end();
});