"use strict";

var _tap = require("tap");

var _index = require("../index");

/* eslint-disable flowtype/require-parameter-type, flowtype/require-return-type */
(0, _tap.test)(function (_ref) {
  var includes = _ref.includes;

  return (0, _index.optimisticP)([Promise.resolve("a")]).then(function (values) {
    return includes(values, ["a"]);
  });
});

(0, _tap.test)(function (_ref2) {
  var includes = _ref2.includes;

  return (0, _index.optimisticP)([Promise.resolve("a"), Promise.reject(new Error("b"))]).then(function (values) {
    return includes(values, ["a"]);
  });
});

(0, _tap.test)(function (_ref3) {
  var includes = _ref3.includes;

  return (0, _index.optimisticP)([Promise.resolve("a"), Promise.resolve("c")]).then(function (values) {
    return includes(values, ["a", "c"]);
  });
});

(0, _tap.test)(function (_ref4) {
  var includes = _ref4.includes;

  return (0, _index.optimisticP)([Promise.resolve("a"), Promise.reject(new Error("b")), Promise.resolve("c")]).then(function (values) {
    return includes(values, ["a", "c"]);
  });
});