"use strict";

var _tap = require("tap");

var _ramda = require("ramda");

var _index = require("../index");

/* eslint-disable flowtype/require-parameter-type, flowtype/require-return-type */
var collection = [{
  id: "a1",
  type: "resources",
  attributes: {
    version: "v1",
    namespace: "accounts"
  }
}, {
  id: "a2",
  type: "resources",
  attributes: {
    version: "v1",
    namespace: "accounts"
  }
}, {
  id: "b1",
  type: "resources",
  attributes: {
    version: "v1",
    namespace: "profiles"
  }
}, {
  id: "b1",
  type: "resources",
  attributes: {
    version: "v2",
    namespace: "profiles"
  }
}];

(0, _tap.test)(function (_ref) {
  var similar = _ref.similar,
      end = _ref.end;

  var functions = [(0, _ramda.groupBy)((0, _ramda.prop)("type")), (0, _ramda.groupBy)((0, _ramda.path)(["attributes", "namespace"])), (0, _ramda.groupBy)((0, _ramda.path)(["attributes", "version"])), (0, _ramda.indexBy)((0, _ramda.prop)("id"))];
  var expected = {
    resources: {
      accounts: {
        v1: {
          a1: {
            id: "a1",
            type: "resources",
            attributes: {
              version: "v1",
              namespace: "accounts"
            }
          },
          a2: {
            id: "a2",
            type: "resources",
            attributes: {
              version: "v1",
              namespace: "accounts"
            }
          }
        }
      },
      profiles: {
        v1: {
          b1: {
            id: "b1",
            type: "resources",
            attributes: {
              version: "v1",
              namespace: "profiles"
            }
          }
        },
        v2: {
          b1: {
            id: "b1",
            type: "resources",
            attributes: {
              version: "v2",
              namespace: "profiles"
            }
          }
        }
      }
    }
  };

  similar((0, _index.treeify)(functions)(collection), expected);

  end();
});